use 教学成绩管理数据库    --一段一段选中执行
select xs.学号,姓名,kh.考核名称,分数
  from 学生信息表 as xs 
    left join 考核成绩表 as cj on cj.学生ID = xs.学生ID 
    left join 考核信息表 as kh on cj.考核ID = kh.考核ID

select xs.学号, 姓名, kh.考核名称, 分数
  from 考核成绩表 as cj 
           join 学生信息表 as xs on cj.学生ID = xs.学生ID 
     right join 考核信息表 as kh on cj.考核ID = kh.考核ID
